Name: printoxx
Version: 1.6
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Software for digital image printing
License: GPLv2+
Group: Graphics

Url: http://kornelix.squarespace.com/printoxx/
Source: http://kornelix.squarespace.com/storage/printoxx/printoxx-%version.tar.gz
Source1: printoxx.desktop
Patch: printoxx-asneeded.patch

# Automatically added by buildreq on Mon Sep 01 2008
BuildRequires: gcc-c++ libgtk+2-devel

%description
Printoxx is a free open source Linux program for printing one or more image
files with a user-defined page layout. Images can be added to a layout page
using the mouse to select and drop into place. Images can be moved around and
resized using the mouse. Adding text (titles, notes) works the same way. Any
font can be used.

%prep
%setup -n printoxx
%patch -p1

%build
%__subst 's/-O /%optflags /; s/@g++/g++/' Makefile
%make_build PREFIX=/usr DOCDIR=%_datadir/printoxx/doc

%install
%make_install PREFIX=/usr DOCDIR=%_datadir/printoxx/doc DESTDIR=%buildroot install

install -pD -m644 %SOURCE1 %buildroot%_desktopdir/printoxx.desktop
install -pD -m644 data/icons/printoxx.png %buildroot%_pixmapsdir/printoxx.png

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_desktopdir/*
%_pixmapsdir/*
%_datadir/printoxx

%changelog
* Wed Oct 08 2008 Victor Forsyuk <force@altlinux.org> 1.6-alt1
- 1.6

* Tue Sep 23 2008 Victor Forsyuk <force@altlinux.org> 1.4.1-alt1
- 1.4.1

* Mon Sep 15 2008 Victor Forsyuk <force@altlinux.org> 1.3.2-alt1
- 1.3.2

* Mon Sep 01 2008 Victor Forsyuk <force@altlinux.org> 1.1-alt1
- Initial build.
